Last Comment Bug 675492 - Crash with mouse over Forecastfox
: Crash with mouse over Forecastfox
Status: VERIFIED FIXED
[inbound]
: crash
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: x86_64 Windows 7
: -- critical (vote)
: mozilla8
Assigned To: Henri Sivonen (:hsivonen)
:
Mentors:
: 675925 (view as bug list)
Depends on: 675437
Blocks: 482909
  Show dependency treegraph
 
Reported: 2011-07-31 02:56 PDT by Antti Tervasmäki
Modified: 2011-08-03 11:19 PDT (History)
8 users (show)
hsivonen: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Null-check base URI in the HTML case (6.28 KB, patch)
2011-08-02 05:50 PDT, Henri Sivonen (:hsivonen)
bzbarsky: review+
Details | Diff | Review

Description Antti Tervasmäki 2011-07-31 02:56:54 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110730 Firefox/8.0a1
Build ID: 20110730030836

Steps to reproduce:

Mouse over Forecastfox


Actual results:

Crash


Expected results:

Forecastfox extension shows more info.
Comment 1 Antti Tervasmäki 2011-07-31 03:00:21 PDT
Nightly 110729 does not crash.

Nightly 110730 crashes:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110730 Firefox/8.0a1 ID:20110730030836 

https://crash-stats.mozilla.com/report/index/bp-3c5894cf-b095-4cc0-bd8e-56e402110731
Comment 2 XtC4UaLL [:xtc4uall] 2011-07-31 05:20:03 PDT
Maybe related to/Dupe of Bug 675437.
Comment 3 Antti Tervasmäki 2011-07-31 05:24:21 PDT
Yes, I agree, it is related to that, did not find that bug..:-(
Comment 4 Robert Kaiser (not working on stability any more) 2011-08-01 10:27:41 PDT
Comments on https://crash-stats.mozilla.com/report/list?signature=nsScriptableUnescapeHTML%3A%3AParseFragment%28nsAString_internal%20const%26%2C%20int%2C%20nsIURI%2A%2C%20nsIDOMElement%2A%2C%20nsIDOMDocumentFragment%2A%2A%29 suggest that this happens with all kinds of RSS feeds.

Henri, can you confirm that this is the same as bug 675437?
Comment 5 XtC4UaLL [:xtc4uall] 2011-08-01 13:49:40 PDT
Bug 675437 Fix is available in http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-win32/1312208046/ if anyone (Antti?) wants to check the Extension Case of this Report.
Comment 6 Henri Sivonen (:hsivonen) 2011-08-02 00:00:14 PDT
(In reply to comment #4)
> Comments on
> https://crash-stats.mozilla.com/report/
> list?signature=nsScriptableUnescapeHTML%3A%3AParseFragment%28nsAString_intern
> al%20const%26%2C%20int%2C%20nsIURI%2A%2C%20nsIDOMElement%2A%2C%20nsIDOMDocume
> ntFragment%2A%2A%29 suggest that this happens with all kinds of RSS feeds.
> 
> Henri, can you confirm that this is the same as bug 675437?

Based on stacks, it seems that this is different.
Comment 7 Henri Sivonen (:hsivonen) 2011-08-02 05:50:30 PDT
Created attachment 550056 [details] [diff] [review]
Null-check base URI in the HTML case
Comment 8 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-08-02 07:56:49 PDT
*** Bug 675925 has been marked as a duplicate of this bug. ***
Comment 9 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-08-02 07:58:07 PDT
Comment on attachment 550056 [details] [diff] [review]
Null-check base URI in the HTML case

r=me
Comment 10 Henri Sivonen (:hsivonen) 2011-08-02 10:49:49 PDT
Thanks. Pushed to inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/78efa76773a6
Comment 11 Marco Bonardo [::mak] 2011-08-03 02:15:13 PDT
http://hg.mozilla.org/mozilla-central/rev/78efa76773a6
Comment 12 Jim Jeffery not reading bug-mail 1/2/11 2011-08-03 09:28:18 PDT
Verifying Fixed using latest m-c hourly build based on:

http://hg.mozilla.org/mozilla-central/rev/c35c69e1ce99
Comment 13 Marcia Knous [:marcia - use ni] 2011-08-03 11:19:34 PDT
Added [@ nsScriptableUnescapeHTML::ParseFragment ] since that was the Mac and Linux specific signature for this crash.

Note You need to log in before you can comment on or make changes to this bug.